/**
 * Copyright (C) 2010-2011 LShift Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.lshift.diffa.participant.scanning;

/**
 * An aggregation by the name of the attribute value. Generally used when aggregating based on elements
 * out of a set.
 */
public class ByNameAggregation extends AbstractScanAggregation implements GranularityAggregation {
  public ByNameAggregation(String name) {
    super(name);
  }

  @Override
  public String bucket(String attributeVal) {
    return attributeVal;
  }

  @Override
  public String getGranularityString() {
    return "by-name";
  }
}
